<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Ajax - Sample Example</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
</head>

<body align="center">
    <h3>GET : AppInfo/this</h3>
    <button id="btn01">Ajax</button>
    <hr>

    <h3>GET : AppInfo/1 (Select)</h3>
    <button id="btn02">Ajax</button>
    <hr>

    <h3>POST : AppInfo (Create)</h3>
    <button id="btn03">Ajax</button>
    <hr>

    <h3>PUT : AppInfo (Update)</h3>
    <button id="btn04">Ajax</button>
    <hr>

    <h3>DELETE : AppInfo (Delete)</h3>
    <button id="btn05">Ajax</button>
    <hr>

    <p id=result></p>
    <script>
        $(function() {
            
            var $result = $("#result");
            
            $("#btn01").off("click").on("click", function() {
                $.ajax({
                    url: "AppInfo/this",
                    type: "GET",
                    data: {
                        // zipcode: 97201
                    },
                    success: function(result) {
                        $("#result").html("【result】<br>");
                        for (var key in result) {
                            $result.append("key : " + key + " , value : " + result[key] + "<br>")
                        }
                    }
                });
            })
            $("#btn02").off("click").on("click", function() {
                $.ajax({
                    url: "AppInfo/1",
                    type: "GET",
                    data: {
                        // id : 1
                    },
                    success: function(result) {
                        $("#result").html("【result】<br>");
                        for (var key in result) {
                            $result.append("key : " + key + " , value : " + result[key] + "<br>")
                        }
                    }
                });
            })

            $("#btn03").off("click").on("click", function() {
                var para = {
                    name: "jQuerySE",
                    version: "1.0.1",
                    author: "Enoxs",
                    date: "2021-07-24",
                    remark: "jQuery - Sample Example"
                }
                $.ajax({
                    url: "AppInfo",
                    type: "POST",
                    contentType: "application/json; charset=utf-8",
                    data: JSON.stringify(para),
                    success: function(result) {
                        $("#result").html("【result】<br>");
                        for (var key in result) {
                            $result.append("key : " + key + " , value : " + result[key] + "<br>")
                        }
                    }
                });
            })

            $("#btn04").off("click").on("click", function() {
                var id = 10
                var para = {
                    name: "jQuerySE",
                    version: "1.0.5",
                    author: "Enoxs",
                    date: "2021-07-24",
                    remark: "jQuery - Sample Code"
                }
                $.ajax({
                    url: "AppInfo/" + id,
                    type: "PUT",
                    contentType: "application/json; charset=utf-8",
                    data: JSON.stringify(para),
                    success: function(result) {
                        $("#result").html("【result】<br>");
                        for (var key in result) {
                            $result.append("key : " + key + " , value : " + result[key] + "<br>")
                        }
                    }
                });
            })

            $("#btn05").off("click").on("click", function() {
                var id = 10;
                $.ajax({
                    url: "AppInfo/" + id,
                    type: "DELETE",
                    success: function(result) {
                        $("#result").html("【result】<br>");
                        for (var key in result) {
                            $result.append("key : " + key + " , value : " + result[key] + "<br>")
                        }
                    }
                });
            })

            $("#btn06").off("click").on("click", function() {
                var postUrl = 'AppInfo'
                var para = {
                    name: "jQuerySE",
                    version: "1.0.1",
                    author: "Enoxs",
                    date: "2021-07-24",
                    remark: "jQuery - Sample Example"
                }
                $.post(postUrl, $.param({
                    jsonString: JSON.stringify(para)
                }), function(res) {
                    var jsonObj = JSON.parse(resp.data);
                    console.log('res: ', res);
                    console.log('jsonObj: ', jsonObj);
                });
            })

            
        })

    </script>
</body>

</html>
